Package org.eclipse.m2m.atl.adt.ui.corext.doc

## Class SingleCharReader

- java.lang.Object
- - java.io.Reader
  - - org.eclipse.m2m.atl.adt.ui.corext.doc.SingleCharReader

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`, `java.lang.Readable`

Direct Known Subclasses:
  `AtlCodeReader`

    public abstract class SingleCharReader
    extends java.io.Reader

### Field Summary

### Fields inherited from class java.io.Reader

`lock`

### Constructor Summary

Constructors
`SingleCharReader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getString()` Gets the content as a String
`int` `read​(char[] cbuf, int off, int len)`
`boolean` `ready()`

### Methods inherited from class java.io.Reader

`close, mark, markSupported, nullReader, read, read, read, reset, skip, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleCharReader

    public SingleCharReader()

### Method Detail

#### getString

    public java.lang.String getString()
                               throws java.io.IOException

Gets the content as a String

Throws:
  `java.io.IOException`

#### read

    public int read​(char[] cbuf,
                    int off,
                    int len)
             throws java.io.IOException

Specified by:
  `read` in class `java.io.Reader`
Throws:
  `java.io.IOException`
See Also:
  `Reader.read(char[], int, int)`

#### ready

    public boolean ready()
                  throws java.io.IOException

Overrides:
  `ready` in class `java.io.Reader`
Throws:
  `java.io.IOException`
See Also:
  `Reader.ready()`